class MercFix expands Actor;

#exec MESH IMPORT MESH=MercFix ANIVFILE=Models\Merc_a.3d DATAFILE=Models\Merc_d.3d X=0 Y=0 Z=0 ZEROTEX=1
#exec MESH ORIGIN MESH=MercFix X=00 Y=-230 Z=-40 YAW=64 ROLL=-64

#exec MESH SEQUENCE MESH=MercFix SEQ=All      STARTFRAME=0   NUMFRAMES=447
#exec MESH SEQUENCE MESH=MercFix SEQ=Breath   STARTFRAME=0   NUMFRAMES=9   RATE=6
#exec MESH SEQUENCE MESH=MercFix SEQ=Button1  STARTFRAME=9   NUMFRAMES=8   RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Button2  STARTFRAME=17  NUMFRAMES=8   RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Button3  STARTFRAME=25  NUMFRAMES=8   RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Button4  STARTFRAME=33  NUMFRAMES=8   RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Button5  STARTFRAME=41  NUMFRAMES=10  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Button6  STARTFRAME=51  NUMFRAMES=10  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=MButton1 STARTFRAME=9   NUMFRAMES=24  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=MButton2 STARTFRAME=17  NUMFRAMES=24  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=MButton3 STARTFRAME=25  NUMFRAMES=26  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=MButton4 STARTFRAME=33  NUMFRAMES=28  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Death    STARTFRAME=61  NUMFRAMES=33  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Dead2    STARTFRAME=94  NUMFRAMES=16  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Dead3    STARTFRAME=110 NUMFRAMES=18  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Dead4    STARTFRAME=128 NUMFRAMES=16  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Duck     STARTFRAME=144 NUMFRAMES=1            Group=Ducking
#exec MESH SEQUENCE MESH=MercFix SEQ=HeadHit  STARTFRAME=145 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=LeftHit  STARTFRAME=146 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=GutHit   STARTFRAME=147 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=RightHit STARTFRAME=148 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=Jump     STARTFRAME=149 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Jump2    STARTFRAME=164 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=Land     STARTFRAME=165 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=Punch    STARTFRAME=166 NUMFRAMES=10  RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Run      STARTFRAME=176 NUMFRAMES=10  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Shoot    STARTFRAME=186 NUMFRAMES=5   RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Spray    STARTFRAME=191 NUMFRAMES=15  RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Squat1   STARTFRAME=206 NUMFRAMES=10  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Squat2   STARTFRAME=216 NUMFRAMES=18  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Squat3   STARTFRAME=234 NUMFRAMES=7   RATE=6
#exec MESH SEQUENCE MESH=MercFix SEQ=Stealth1 STARTFRAME=241 NUMFRAMES=4   RATE=6   Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Stealth2 STARTFRAME=245 NUMFRAMES=3   RATE=6   Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Swat     STARTFRAME=248 NUMFRAMES=10  RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=MercFix SEQ=Swim     STARTFRAME=258 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Talk1    STARTFRAME=273 NUMFRAMES=13  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Talk2    STARTFRAME=286 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Talk3    STARTFRAME=301 NUMFRAMES=23  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Walk     STARTFRAME=324 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=WalkFire STARTFRAME=339 NUMFRAMES=15  RATE=15  Group=MovingAttack
#exec MESH SEQUENCE MESH=MercFix SEQ=WalkSpray STARTFRAME=339 NUMFRAMES=15 RATE=15  Group=MovingAttack
#exec MESH SEQUENCE MESH=MercFix SEQ=Weapon   STARTFRAME=354 NUMFRAMES=10  RATE=6
#exec MESH SEQUENCE MESH=MercFix SEQ=Fighter  STARTFRAME=166 NUMFRAMES=1
#exec MESH SEQUENCE MESH=MercFix SEQ=ChargeUp STARTFRAME=364 NUMFRAMES=16  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=BigDance STARTFRAME=364 NUMFRAMES=31  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Dance    STARTFRAME=380 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=Dead5    STARTFRAME=395 NUMFRAMES=26  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=NeckCrak STARTFRAME=421 NUMFRAMES=10  RATE=6
#exec MESH SEQUENCE MESH=MercFix SEQ=SwimFire STARTFRAME=431 NUMFRAMES=15  RATE=15
#exec MESH SEQUENCE MESH=MercFix SEQ=TiedUp   STARTFRAME=446 NUMFRAMES=1


//#exec TEXTURE IMPORT NAME=JMerc1 FILE=Models\Mercenar.pcx GROUP=Skins DETAIL=Dirty
//#exec TEXTURE IMPORT NAME=Silver FILE=Models\Silver.pcx GROUP=Skins
#exec MESHMAP SCALE MESHMAP=MercFix X=0.082 Y=0.082 Z=0.164
#exec MESHMAP SETTEXTURE MESHMAP=MercFix NUM=0 TEXTURE=JMerc1

#exec MESH NOTIFY MESH=MercFix SEQ=Swat TIME=0.48 FUNCTION=HitDamageTarget
#exec mesh NOTIFY MESH=MercFix SEQ=Punch TIME=0.48 FUNCTION=HitDamageTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.16 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.26 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.36 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.46 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.56 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Spray TIME=0.66 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=WalkSpray TIME=0.2 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=WalkSpray TIME=0.3 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=WalkSpray TIME=0.4 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Run TIME=0.3 FUNCTION=Step
#exec mesh NOTIFY MESH=MercFix SEQ=Run TIME=0.8 FUNCTION=Step
#exec MESH NOTIFY MESH=MercFix SEQ=Walk TIME=0.33 FUNCTION=WalkStep
#exec MESH NOTIFY MESH=MercFix SEQ=Walk TIME=0.83 FUNCTION=WalkStep
#exec mesh NOTIFY MESH=MercFix SEQ=WalkFire TIME=0.2 FUNCTION=SpawnRocket
#exec MESH NOTIFY MESH=MercFix SEQ=WalkFire TIME=0.83 FUNCTION=Step
#exec MESH NOTIFY MESH=MercFix SEQ=SwimFire TIME=0.2 FUNCTION=SpawnRocket
#exec MESH NOTIFY MESH=MercFix SEQ=Death TIME=0.72 FUNCTION=LandThump
#exec MESH NOTIFY MESH=MercFix SEQ=Dead2 TIME=0.64 FUNCTION=LandThump
#exec MESH NOTIFY MESH=MercFix SEQ=Dead3 TIME=0.69 FUNCTION=LandThump
#exec MESH NOTIFY MESH=MercFix SEQ=Dead4 TIME=0.81 FUNCTION=LandThump
#exec MESH NOTIFY MESH=MercFix SEQ=Dead5 TIME=0.76 FUNCTION=LandThump
#exec MESH NOTIFY MESH=MercFix SEQ=Dead5 TIME=0.325 FUNCTION=SprayTarget
#exec MESH NOTIFY MESH=MercFix SEQ=Dead5 TIME=0.5  FUNCTION=SprayTarget

defaultproperties
{
    DrawType=DT_Mesh
    Mesh=MercFix
}
